-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 28, 2025 at 04:09 AM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `portal_umkm`
--

-- --------------------------------------------------------

--
-- Table structure for table `artikel`
--

CREATE TABLE `artikel` (
  `id_artikel` int(11) NOT NULL,
  `id_user` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `artikel`
--

INSERT INTO `artikel` (`id_artikel`, `id_user`) VALUES
(1, 2),
(2, 2);

-- --------------------------------------------------------

--
-- Table structure for table `datausaha`
--

CREATE TABLE `datausaha` (
  `id_usaha` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `nama_usaha` varchar(255) NOT NULL,
  `alamat` text NOT NULL,
  `alamat_gmaps` varchar(500) DEFAULT NULL,
  `username_fb` varchar(255) DEFAULT NULL,
  `username_ig` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `datausaha`
--

INSERT INTO `datausaha` (`id_usaha`, `id_user`, `nama_usaha`, `alamat`, `alamat_gmaps`, `username_fb`, `username_ig`, `created_at`, `updated_at`) VALUES
(16, 33, 'sd pp ', 'sd pp x', 'https://maps.app.goo.gl/', 'sdf 1', 'sdf 2', '2025-03-16 17:25:03', '2025-05-06 15:12:15');

-- --------------------------------------------------------

--
-- Table structure for table `detail_artikel`
--

CREATE TABLE `detail_artikel` (
  `id_detail_artikel` int(11) NOT NULL,
  `id_artikel` int(11) NOT NULL,
  `id_seo_artikel` int(11) NOT NULL,
  `judul_artikel` varchar(255) NOT NULL,
  `deskripsi_artikel` text NOT NULL,
  `gambar_artikel` varchar(255) NOT NULL,
  `kategori` enum('tutorial','informasi','lainnya') NOT NULL DEFAULT 'lainnya',
  `tanggal` date NOT NULL,
  `slug` varchar(255) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `detail_artikel`
--

INSERT INTO `detail_artikel` (`id_detail_artikel`, `id_artikel`, `id_seo_artikel`, `judul_artikel`, `deskripsi_artikel`, `gambar_artikel`, `kategori`, `tanggal`, `slug`, `created_at`, `updated_at`) VALUES
(25, 1, 21, 'Apa Itu Landing Page dan Mengapa Penting?', '<p data-pm-slice=\"1 1 []\">Landing page adalah halaman web yang dirancang khusus untuk tujuan pemasaran atau kampanye periklanan. Pengunjung biasanya diarahkan ke landing page melalui iklan digital, media sosial, email marketing, atau pencarian organik. Berbeda dengan halaman utama sebuah website, landing page memiliki fokus yang lebih spesifik, yaitu mendorong pengunjung untuk mengambil tindakan tertentu, seperti mendaftar, mengunduh, atau membeli produk.</p><p><strong>Fungsi dan Manfaat Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Meningkatkan Konversi</strong><br>Landing page dirancang untuk mengarahkan pengunjung ke satu tujuan utama tanpa gangguan, seperti menu navigasi atau tautan eksternal. Hal ini meningkatkan kemungkinan konversi.</p></li><li><p><strong>Mengoptimalkan Kampanye Pemasaran</strong><br>Dalam strategi pemasaran digital, landing page berfungsi sebagai titik akhir dari sebuah kampanye, memungkinkan bisnis untuk melacak efektivitas iklan dan sumber lalu lintas.</p></li><li><p><strong>Mengumpulkan Data Pengguna</strong><br>Dengan formulir pendaftaran atau unduhan, landing page dapat mengumpulkan data penting dari calon pelanggan, seperti email dan preferensi mereka.</p></li><li><p><strong>Meningkatkan Pengalaman Pengguna</strong><br>Desain yang sederhana dan fokus pada satu tujuan memudahkan pengguna untuk menemukan informasi yang mereka butuhkan dengan cepat.</p></li></ol><p><strong>Jenis-Jenis Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Lead Generation Landing Page</strong><br>Digunakan untuk mengumpulkan informasi pengunjung, biasanya melalui formulir pendaftaran atau langganan email.</p></li><li><p><strong>Click-Through Landing Page</strong><br>Berfungsi sebagai perantara sebelum pengguna diarahkan ke halaman transaksi atau pembelian.</p></li><li><p><strong>Sales Landing Page</strong><br>Dirancang untuk langsung menjual produk atau layanan, dengan penjelasan mendetail dan elemen persuasif.</p></li><li><p><strong>Event Landing Page</strong><br>Digunakan untuk mempromosikan acara tertentu, seperti webinar, seminar, atau peluncuran produk.</p></li></ol><p><strong>Tips Membuat Landing Page yang Efektif</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Gunakan Headline yang Menarik</strong><br>Judul harus jelas, singkat, dan mampu menarik perhatian pengunjung.</p></li><li><p><strong>Tampilkan Call-to-Action (CTA) yang Jelas</strong><br>CTA seperti &ldquo;Daftar Sekarang&rdquo; atau &ldquo;Dapatkan Promo&rdquo; harus menonjol dan mudah ditemukan.</p></li><li><p><strong>Desain yang Sederhana dan Responsif</strong><br>Pastikan tampilan landing page mudah diakses di berbagai perangkat, termasuk smartphone dan tablet.</p></li><li><p><strong>Tambahkan Elemen Visual yang Menarik</strong><br>Gambar, video, atau ikon dapat membantu menjelaskan produk atau layanan dengan lebih efektif.</p></li><li><p><strong>Gunakan Testimoni dan Bukti Sosial</strong><br>Ulasan pelanggan atau studi kasus dapat meningkatkan kepercayaan pengunjung terhadap produk atau layanan yang ditawarkan.</p></li><li><p><strong>Optimalkan Kecepatan Halaman</strong><br>Pastikan landing page memiliki waktu muat yang cepat agar tidak membuat pengunjung meninggalkan halaman sebelum berinteraksi.</p></li><li><p><strong>Lakukan A/B Testing</strong><br>Uji berbagai elemen seperti warna tombol CTA, gambar, atau teks untuk melihat kombinasi yang paling efektif dalam meningkatkan konversi.</p></li></ol><p><strong>Kesimpulan</strong></p><p>Landing page adalah alat yang sangat penting dalam strategi pemasaran digital. Dengan desain yang tepat, landing page dapat membantu meningkatkan konversi, mengoptimalkan kampanye pemasaran, dan memperkuat hubungan dengan pelanggan. Oleh karena itu, bisnis perlu memastikan bahwa landing page yang dibuat efektif, menarik, dan memberikan pengalaman terbaik bagi pengunjung.</p>', '1741240847_User Testimoni.png', 'informasi', '2025-03-06', 'apa-itu-landing-page-dan-mengapa-penting', '2025-02-24 06:00:47', '2025-03-08 16:27:35'),
(26, 1, 22, 'Landing Page: Kunci Sukses Pemasaran Digital', '<p data-pm-slice=\"1 1 []\">Landing page adalah halaman web yang dirancang untuk menangkap perhatian pengunjung dan mengarahkan mereka ke tindakan tertentu, seperti mendaftar atau membeli produk. Berbeda dengan halaman utama situs web, landing page memiliki fokus yang lebih spesifik untuk meningkatkan konversi.</p><p><strong>Manfaat Landing Page dalam Bisnis</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Meningkatkan Penjualan</strong><br>Dengan desain yang menarik dan CTA yang jelas, landing page dapat meningkatkan peluang penjualan.</p></li><li><p><strong>Membantu Analisis Pemasaran</strong><br>Data yang dikumpulkan dari landing page dapat digunakan untuk mengoptimalkan strategi pemasaran.</p></li><li><p><strong>Meningkatkan Kepercayaan Pelanggan</strong><br>Testimoni dan ulasan pelanggan di landing page dapat memperkuat kepercayaan calon pembeli.</p></li></ol><p><strong>Cara Membuat Landing Page yang Efektif</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Gunakan Headline yang Jelas dan Menarik</strong><br>Buat judul yang mampu menarik perhatian dalam hitungan detik.</p></li><li><p><strong>Optimalkan Desain Responsif</strong><br>Pastikan landing page dapat diakses dengan baik di semua perangkat.</p></li><li><p><strong>Tambahkan Call-to-Action (CTA) yang Menonjol</strong><br>CTA yang jelas akan membantu pengunjung memahami langkah berikutnya.</p></li><li><p><strong>Gunakan Gambar dan Video yang Relevan</strong><br>Visual yang menarik dapat meningkatkan keterlibatan pengunjung.</p></li></ol><p>Dengan strategi yang tepat, landing page dapat menjadi alat yang sangat efektif dalam meningkatkan konversi dan penjualan.</p><div><hr></div><p><strong>Strategi Landing Page untuk Meningkatkan Konversi</strong></p><p>Landing page merupakan elemen penting dalam pemasaran digital karena dapat meningkatkan tingkat konversi. Untuk mencapai hasil maksimal, landing page harus dirancang dengan strategi yang tepat.</p><p><strong>Faktor-Faktor Penting dalam Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Judul yang Menarik</strong><br>Gunakan headline yang mampu menarik perhatian pengunjung dalam hitungan detik.</p></li><li><p><strong>Tata Letak yang Sederhana dan Fokus</strong><br>Hindari elemen yang tidak perlu agar pengunjung langsung memahami tujuan landing page.</p></li><li><p><strong>Gunakan Warna yang Menarik dan Konsisten</strong><br>Warna yang tepat dapat mempengaruhi emosi dan keputusan pengunjung.</p></li><li><p><strong>Tambahkan CTA yang Menonjol</strong><br>CTA harus jelas, mudah ditemukan, dan menggunakan kata-kata yang mengundang aksi.</p></li></ol><p><strong>Cara Mengoptimalkan Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Gunakan A/B Testing</strong><br>Coba variasi desain, teks, atau warna untuk mengetahui kombinasi terbaik.</p></li><li><p><strong>Percepat Waktu Muat Halaman</strong><br>Landing page yang lambat dapat menyebabkan pengunjung meninggalkan halaman sebelum berinteraksi.</p></li><li><p><strong>Tambahkan Bukti Sosial</strong><br>Ulasan pelanggan, testimoni, dan jumlah pengguna dapat meningkatkan kepercayaan.</p></li><li><p><strong>Buat Formulir yang Sederhana</strong><br>Hindari meminta terlalu banyak informasi agar pengunjung lebih mudah mengisi formulir.</p></li></ol><p>Dengan strategi yang tepat, landing page dapat menjadi alat yang ampuh untuk meningkatkan konversi dan mengembangkan bisnis secara efektif.</p><p>&nbsp;</p>', '1741240896_User Add Keunggulan.png', 'informasi', '2025-03-06', 'landing-page-kunci-sukses-pemasaran-digital', '2025-02-27 06:01:36', '2025-03-08 16:27:46'),
(27, 1, 23, 'Strategi Landing Page untuk Meningkatkan Konversi', '<p data-pm-slice=\"1 1 []\">Landing page merupakan elemen penting dalam pemasaran digital karena dapat meningkatkan tingkat konversi. Untuk mencapai hasil maksimal, landing page harus dirancang dengan strategi yang tepat.</p><p><strong>Faktor-Faktor Penting dalam Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Judul yang Menarik</strong><br>Gunakan headline yang mampu menarik perhatian pengunjung dalam hitungan detik.</p></li><li><p><strong>Tata Letak yang Sederhana dan Fokus</strong><br>Hindari elemen yang tidak perlu agar pengunjung langsung memahami tujuan landing page.</p></li><li><p><strong>Gunakan Warna yang Menarik dan Konsisten</strong><br>Warna yang tepat dapat mempengaruhi emosi dan keputusan pengunjung.</p></li><li><p><strong>Tambahkan CTA yang Menonjol</strong><br>CTA harus jelas, mudah ditemukan, dan menggunakan kata-kata yang mengundang aksi.</p></li></ol><p><strong>Cara Mengoptimalkan Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Gunakan A/B Testing</strong><br>Coba variasi desain, teks, atau warna untuk mengetahui kombinasi terbaik.</p></li><li><p><strong>Percepat Waktu Muat Halaman</strong><br>Landing page yang lambat dapat menyebabkan pengunjung meninggalkan halaman sebelum berinteraksi.</p></li><li><p><strong>Tambahkan Bukti Sosial</strong><br>Ulasan pelanggan, testimoni, dan jumlah pengguna dapat meningkatkan kepercayaan.</p></li><li><p><strong>Buat Formulir yang Sederhana</strong><br>Hindari meminta terlalu banyak informasi agar pengunjung lebih mudah mengisi formulir.</p></li></ol><p>Dengan strategi yang tepat, landing page dapat menjadi alat yang ampuh untuk meningkatkan konversi dan mengembangkan bisnis secara efektif.</p><div><hr></div><p><strong>Membuat Landing Page yang Menarik dan Efektif</strong></p><p>Landing page adalah alat yang sangat penting dalam pemasaran digital. Dengan desain dan strategi yang tepat, bisnis dapat menarik lebih banyak pelanggan dan meningkatkan tingkat konversi.</p><p><strong>Elemen Penting dalam Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Desain yang Responsif</strong><br>Pastikan landing page dapat diakses dengan baik di berbagai perangkat, termasuk desktop dan mobile.</p></li><li><p><strong>Judul yang Menarik dan Informatif</strong><br>Headline harus langsung menyampaikan manfaat utama produk atau layanan yang ditawarkan.</p></li><li><p><strong>Konten yang Relevan dan Menjelaskan Keunggulan</strong><br>Gunakan bahasa yang mudah dipahami dan langsung menunjukkan nilai dari produk atau layanan.</p></li><li><p><strong>Call-to-Action (CTA) yang Kuat</strong><br>Gunakan kata-kata yang jelas dan persuasif, seperti \"Coba Gratis Sekarang\" atau \"Dapatkan Penawaran Khusus.\"</p></li><li><p><strong>Formulir yang Simpel dan Mudah Diisi</strong><br>Jangan membuat pengunjung merasa kesulitan dengan formulir yang terlalu panjang.</p></li></ol><p><strong>Langkah-Langkah Mengoptimalkan Landing Page</strong></p><ol start=\"1\" data-spread=\"true\"><li><p><strong>Gunakan Visual yang Menarik</strong><br>Gambar dan video berkualitas tinggi dapat membantu meningkatkan engagement.</p></li><li><p><strong>Tampilkan Testimoni dan Bukti Sosial</strong><br>Testimoni pelanggan dan logo perusahaan yang sudah menggunakan produk dapat meningkatkan kepercayaan.</p></li><li><p><strong>Optimalkan SEO untuk Meningkatkan Lalu Lintas</strong><br>Gunakan kata kunci yang tepat agar landing page mudah ditemukan di mesin pencari.</p></li><li><p><strong>Uji Coba dengan A/B Testing</strong><br>Coba berbagai variasi desain, teks, dan elemen lainnya untuk menemukan yang paling efektif.</p></li></ol><p>Dengan memperhatikan elemen-elemen ini, landing page dapat menjadi alat yang efektif untuk menarik pelanggan dan meningkatkan konversi bisnis secara signifikan.</p><p>&nbsp;</p>', '1741240958_Admin Add Artikel.png', 'informasi', '2025-03-06', 'strategi-landing-page-untuk-meningkatkan-konversi', '2025-02-28 06:02:38', '2025-03-08 16:28:01');

-- --------------------------------------------------------

--
-- Table structure for table `detail_keunggulan`
--

CREATE TABLE `detail_keunggulan` (
  `id_detailkeunggulan` int(11) NOT NULL,
  `id_keunggulan` int(11) NOT NULL,
  `deskripsi_keunggulan` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `detail_keunggulan`
--

INSERT INTO `detail_keunggulan` (`id_detailkeunggulan`, `id_keunggulan`, `deskripsi_keunggulan`, `created_at`, `updated_at`) VALUES
(17, 8, 'Gratis Ongkir', '2025-02-27 13:43:39', '2025-03-08 11:11:26');

-- --------------------------------------------------------

--
-- Table structure for table `detail_produk`
--

CREATE TABLE `detail_produk` (
  `id_detail_produk` int(11) NOT NULL,
  `id_produk` int(11) NOT NULL,
  `nama_produk` varchar(255) NOT NULL,
  `gambar_produk` varchar(255) NOT NULL,
  `harga_produk` decimal(10,2) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `detail_produk`
--

INSERT INTO `detail_produk` (`id_detail_produk`, `id_produk`, `nama_produk`, `gambar_produk`, `harga_produk`, `created_at`, `updated_at`) VALUES
(24, 9, 'c', 'produk_1740663810_67c06c0293038.jpeg', 2.00, '2025-02-27 13:43:30', '2025-02-27 13:43:30');

-- --------------------------------------------------------

--
-- Table structure for table `detail_testimoni`
--

CREATE TABLE `detail_testimoni` (
  `id_detail_testimoni` int(11) NOT NULL,
  `id_testimoni` int(11) NOT NULL,
  `nama_konsumen` varchar(255) NOT NULL,
  `ulasan_konsumen` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `detail_testimoni`
--

INSERT INTO `detail_testimoni` (`id_detail_testimoni`, `id_testimoni`, `nama_konsumen`, `ulasan_konsumen`, `created_at`, `updated_at`) VALUES
(12, 7, 'c', 'c\r\n', '2025-02-27 13:40:07', '2025-02-27 13:46:12');

-- --------------------------------------------------------

--
-- Table structure for table `keunggulan`
--

CREATE TABLE `keunggulan` (
  `id_keunggulan` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `keunggulan`
--

INSERT INTO `keunggulan` (`id_keunggulan`, `id_user`, `created_at`, `updated_at`) VALUES
(8, 2, '2025-02-27 13:43:39', '2025-02-27 13:43:39');

-- --------------------------------------------------------

--
-- Table structure for table `landingpage`
--

CREATE TABLE `landingpage` (
  `id_landingpage` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_usaha` int(11) NOT NULL,
  `id_produk` int(11) NOT NULL,
  `id_seo` int(11) NOT NULL,
  `id_keunggulan` int(11) NOT NULL,
  `id_testimoni` int(11) NOT NULL,
  `no_template` enum('1','2','3','4','5','6') NOT NULL,
  `judul_utama` varchar(255) NOT NULL,
  `deskripsi_utama` text NOT NULL,
  `gambar_utama` varchar(255) NOT NULL,
  `tentang_usaha` text NOT NULL,
  `gambar_tentang` varchar(255) NOT NULL,
  `gambar_keunggulan` varchar(255) NOT NULL,
  `keterangan_cta_bawah` text NOT NULL,
  `slug_url` varchar(255) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

CREATE TABLE `password_resets` (
  `id` int(11) NOT NULL,
  `email` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `expires_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `password_resets`
--

INSERT INTO `password_resets` (`id`, `email`, `token`, `expires_at`) VALUES
(2, 'ansori@gmail.com', '06f1a87136ee2112177f239fc8c0a1d30614ddee26075c23983179a6495b350f942fad4cfab0e06d94350c7a6387f6de8f7e', '2025-03-05 00:44:38'),
(3, 'admin@gmail.com', '854c946296ce4ecdc52b519dcd2f07bab95dbd1bdb311e806c1a22f39b1e55c908b2f38132c98f3c53d20c714b0a1cf660ed', '2025-03-09 14:51:33'),
(4, 'ahmad@gmail.com', 'a3fb315cc0163583a102c9c203127e4676fbbcda6de50201ce20e017012f5f0592876026da6568f046716476604d581a1e60', '2025-03-09 14:55:58'),
(16, 'aanblogme@gmail.com', '94982bdb77a59e7bf3fa4afdb38b9e2719d2dd2ab022f8f59e8cb1c2bdf8cd6705b72c864b9ea1931334d2992be88299b8d0', '2025-03-09 21:23:01');

-- --------------------------------------------------------

--
-- Table structure for table `produk`
--

CREATE TABLE `produk` (
  `id_produk` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `produk`
--

INSERT INTO `produk` (`id_produk`, `id_user`, `created_at`, `updated_at`) VALUES
(9, 2, '2025-02-27 13:43:30', '2025-02-27 13:43:30');

-- --------------------------------------------------------

--
-- Table structure for table `seo`
--

CREATE TABLE `seo` (
  `id_seo` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `judul_seo` varchar(255) NOT NULL,
  `katakunci_seo` varchar(255) NOT NULL,
  `deskripsi_seo` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `seo_artikel`
--

CREATE TABLE `seo_artikel` (
  `id_seo_artikel` int(11) NOT NULL,
  `katakunci_seo` varchar(255) NOT NULL,
  `deskripsi_seo` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `seo_artikel`
--

INSERT INTO `seo_artikel` (`id_seo_artikel`, `katakunci_seo`, `deskripsi_seo`) VALUES
(6, 'sdfdsf', 'dsd'),
(8, 'Tambahkan Artikel', 'Tambahkan Artikel\r\n'),
(9, 'Tambahkan Artikel', 'Tambahkan Artikel\r\n'),
(21, 'kw 1, kw2, kw3', 'ini meta'),
(22, 'kw 1, kw2', 'ini meta '),
(23, 'kw1, kw2', 'ini meta');

-- --------------------------------------------------------

--
-- Table structure for table `testimoni`
--

CREATE TABLE `testimoni` (
  `id_testimoni` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `testimoni`
--

INSERT INTO `testimoni` (`id_testimoni`, `id_user`, `created_at`, `updated_at`) VALUES
(7, 2, '2025-02-27 13:40:07', '2025-02-27 13:40:07');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id_user` int(11) NOT NULL,
  `nama_lengkap` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `no_hp` varchar(15) NOT NULL,
  `role` enum('admin','user') NOT NULL DEFAULT 'user',
  `status` enum('active','disabled') NOT NULL DEFAULT 'active',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `updated_at` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id_user`, `nama_lengkap`, `email`, `password`, `no_hp`, `role`, `status`, `created_at`, `updated_at`) VALUES
(2, 'Admin', 'admin@gmail.com', '$2y$10$jSBWp1cOK7u0wGYBdJ/CZ.bVU6x7RYgjz809VT5y9jwPo3qyxZ2Ja', '9293490341', 'admin', 'active', '2025-02-26 01:07:35', '2025-03-16 16:36:02'),
(33, 'ahmad', 'ahmad@gmail.com', '$2y$10$88vcyqYHkxhr0lEVUPVg5udpdpzlSYmTKGtyfB6JxamT8zoOKZ4im', '857364364632', 'user', 'active', '2025-03-16 17:07:18', '2025-03-16 17:07:18');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `artikel`
--
ALTER TABLE `artikel`
  ADD PRIMARY KEY (`id_artikel`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `datausaha`
--
ALTER TABLE `datausaha`
  ADD PRIMARY KEY (`id_usaha`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `detail_artikel`
--
ALTER TABLE `detail_artikel`
  ADD PRIMARY KEY (`id_detail_artikel`),
  ADD UNIQUE KEY `slug` (`slug`),
  ADD KEY `id_artikel` (`id_artikel`),
  ADD KEY `id_seo_artikel` (`id_seo_artikel`);

--
-- Indexes for table `detail_keunggulan`
--
ALTER TABLE `detail_keunggulan`
  ADD PRIMARY KEY (`id_detailkeunggulan`),
  ADD KEY `id_keunggulan` (`id_keunggulan`);

--
-- Indexes for table `detail_produk`
--
ALTER TABLE `detail_produk`
  ADD PRIMARY KEY (`id_detail_produk`),
  ADD KEY `id_produk` (`id_produk`);

--
-- Indexes for table `detail_testimoni`
--
ALTER TABLE `detail_testimoni`
  ADD PRIMARY KEY (`id_detail_testimoni`),
  ADD KEY `id_testimoni` (`id_testimoni`);

--
-- Indexes for table `keunggulan`
--
ALTER TABLE `keunggulan`
  ADD PRIMARY KEY (`id_keunggulan`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `landingpage`
--
ALTER TABLE `landingpage`
  ADD PRIMARY KEY (`id_landingpage`),
  ADD UNIQUE KEY `slug_url` (`slug_url`),
  ADD KEY `id_user` (`id_user`),
  ADD KEY `id_usaha` (`id_usaha`),
  ADD KEY `id_produk` (`id_produk`),
  ADD KEY `id_seo` (`id_seo`),
  ADD KEY `id_keunggulan` (`id_keunggulan`),
  ADD KEY `id_testimoni` (`id_testimoni`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `produk`
--
ALTER TABLE `produk`
  ADD PRIMARY KEY (`id_produk`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `seo`
--
ALTER TABLE `seo`
  ADD PRIMARY KEY (`id_seo`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `seo_artikel`
--
ALTER TABLE `seo_artikel`
  ADD PRIMARY KEY (`id_seo_artikel`);

--
-- Indexes for table `testimoni`
--
ALTER TABLE `testimoni`
  ADD PRIMARY KEY (`id_testimoni`),
  ADD KEY `id_user` (`id_user`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id_user`),
  ADD UNIQUE KEY `email` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `artikel`
--
ALTER TABLE `artikel`
  MODIFY `id_artikel` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `datausaha`
--
ALTER TABLE `datausaha`
  MODIFY `id_usaha` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `detail_artikel`
--
ALTER TABLE `detail_artikel`
  MODIFY `id_detail_artikel` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=39;

--
-- AUTO_INCREMENT for table `detail_keunggulan`
--
ALTER TABLE `detail_keunggulan`
  MODIFY `id_detailkeunggulan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=36;

--
-- AUTO_INCREMENT for table `detail_produk`
--
ALTER TABLE `detail_produk`
  MODIFY `id_detail_produk` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=43;

--
-- AUTO_INCREMENT for table `detail_testimoni`
--
ALTER TABLE `detail_testimoni`
  MODIFY `id_detail_testimoni` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=27;

--
-- AUTO_INCREMENT for table `keunggulan`
--
ALTER TABLE `keunggulan`
  MODIFY `id_keunggulan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `landingpage`
--
ALTER TABLE `landingpage`
  MODIFY `id_landingpage` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=99;

--
-- AUTO_INCREMENT for table `password_resets`
--
ALTER TABLE `password_resets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `produk`
--
ALTER TABLE `produk`
  MODIFY `id_produk` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `seo`
--
ALTER TABLE `seo`
  MODIFY `id_seo` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `seo_artikel`
--
ALTER TABLE `seo_artikel`
  MODIFY `id_seo_artikel` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;

--
-- AUTO_INCREMENT for table `testimoni`
--
ALTER TABLE `testimoni`
  MODIFY `id_testimoni` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id_user` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `artikel`
--
ALTER TABLE `artikel`
  ADD CONSTRAINT `artikel_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `datausaha`
--
ALTER TABLE `datausaha`
  ADD CONSTRAINT `datausaha_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_artikel`
--
ALTER TABLE `detail_artikel`
  ADD CONSTRAINT `detail_artikel_ibfk_1` FOREIGN KEY (`id_artikel`) REFERENCES `artikel` (`id_artikel`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `detail_artikel_ibfk_2` FOREIGN KEY (`id_seo_artikel`) REFERENCES `seo_artikel` (`id_seo_artikel`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_keunggulan`
--
ALTER TABLE `detail_keunggulan`
  ADD CONSTRAINT `detail_keunggulan_ibfk_1` FOREIGN KEY (`id_keunggulan`) REFERENCES `keunggulan` (`id_keunggulan`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_produk`
--
ALTER TABLE `detail_produk`
  ADD CONSTRAINT `detail_produk_ibfk_1` FOREIGN KEY (`id_produk`) REFERENCES `produk` (`id_produk`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_testimoni`
--
ALTER TABLE `detail_testimoni`
  ADD CONSTRAINT `detail_testimoni_ibfk_1` FOREIGN KEY (`id_testimoni`) REFERENCES `testimoni` (`id_testimoni`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `keunggulan`
--
ALTER TABLE `keunggulan`
  ADD CONSTRAINT `keunggulan_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `landingpage`
--
ALTER TABLE `landingpage`
  ADD CONSTRAINT `landingpage_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `landingpage_ibfk_2` FOREIGN KEY (`id_usaha`) REFERENCES `datausaha` (`id_usaha`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `landingpage_ibfk_3` FOREIGN KEY (`id_produk`) REFERENCES `produk` (`id_produk`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `landingpage_ibfk_4` FOREIGN KEY (`id_seo`) REFERENCES `seo` (`id_seo`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `landingpage_ibfk_5` FOREIGN KEY (`id_keunggulan`) REFERENCES `keunggulan` (`id_keunggulan`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `landingpage_ibfk_6` FOREIGN KEY (`id_testimoni`) REFERENCES `testimoni` (`id_testimoni`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `produk`
--
ALTER TABLE `produk`
  ADD CONSTRAINT `produk_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `seo`
--
ALTER TABLE `seo`
  ADD CONSTRAINT `seo_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `testimoni`
--
ALTER TABLE `testimoni`
  ADD CONSTRAINT `testimoni_ibfk_1` FOREIGN KEY (`id_user`) REFERENCES `users` (`id_user`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
