<?php
session_start();
include '../../koneksi.php'; // Koneksi ke database

if (!isset($_SESSION['user_id'])) {
    header("Location: ../../login/"); // Redirect ke login jika belum login
    exit();
}

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $user_id = $_SESSION['user_id']; // Ambil ID pengguna yang login
    $nama_usaha = $_POST['nama_usaha'];
    $alamat_usaha = $_POST['alamat_usaha'];
    $google_maps = $_POST['google_maps'];
    $facebook = !empty($_POST['facebook']) ? $_POST['facebook'] : NULL; // Simpan hanya username
    $instagram = !empty($_POST['instagram']) ? $_POST['instagram'] : NULL; // Simpan hanya username

    // Simpan ke database dengan user_id
    $stmt = $conn->prepare("INSERT INTO datausaha (id_user, nama_usaha, alamat, alamat_gmaps, username_fb, username_ig) VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("isssss", $user_id, $nama_usaha, $alamat_usaha, $google_maps, $facebook, $instagram);
    
    if ($stmt->execute()) {
        $_SESSION['success'] = "Data usaha berhasil disimpan!";
    } else {
        $_SESSION['error'] = "Gagal menyimpan data!";
    }
    $stmt->close();
    $conn->close();
}

// Redirect ke halaman setelah submit
header("Location: ../data-usaha");
exit();
?>
