<?php
include '../auth.php';
include '../../koneksi.php';

if (isset($_GET['id'])) {
    $id_artikel = $_GET['id'];

    // Ambil informasi terkait artikel
    $sql = "SELECT gambar_artikel, id_seo_artikel FROM detail_artikel WHERE id_detail_artikel  = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id_artikel);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $data = $result->fetch_assoc();
        $gambar = $data['gambar_artikel'];
        $id_seo_artikel = $data['id_seo_artikel'];

        // Hapus gambar dari folder jika ada
        if (!empty($gambar) && file_exists("../../uploads/artikel/" . $gambar)) {
            unlink("../../uploads/artikel/" . $gambar);
        }

        // Hapus data dari `detail_artikel`
        $sqlDeleteDetail = "DELETE FROM detail_artikel WHERE id_detail_artikel  = ?";
        $stmt = $conn->prepare($sqlDeleteDetail);
        $stmt->bind_param("i", $id_artikel);
        $stmt->execute();

        // Hapus data dari `seo_artikel`
        $sqlDeleteSeo = "DELETE FROM seo_artikel WHERE id_seo_artikel = ?";
        $stmt = $conn->prepare($sqlDeleteSeo);
        $stmt->bind_param("i", $id_seo_artikel);
        $stmt->execute();

        $_SESSION['success'] = "Artikel berhasil dihapus!";
    } else {
        $_SESSION['error'] = "Artikel tidak ditemukan!";
    }
} else {
    $_SESSION['error'] = "ID Artikel tidak valid!";
}

header("Location: ../artikel");
exit();
?>
